const router = require("express").Router();
const auth = require("./auth.route");
const users = require("./users.route");
const device = require('./device.route');
const roles = require('./roles.route');
const tags = require("./tags.route");
const brand = require("./brand.route");
const subSection = require("./plant_sub_section.route");
const fileUploads = require("./file_uploads.route");
const shift = require("./shift.route");
const schedule = require("./schedule.route");
const status = require("./status.route");
const unit = require("./unit.route")
const UserSchedule = require("./user_schedule.route")
const historyValue = require("./history_value.route")
const contact = require("./contact.route")
const notification = require("./notification.route")
const notificationErrorSparepart = require("./notification_error_sparepart.route")

router.use("/auth", auth);
router.use("/user", users);
router.use("/device", device);
router.use("/roles", roles);
router.use("/tags", tags);
router.use("/brand", brand);
router.use("/plant-sub-section", subSection);
router.use("/file-uploads", fileUploads);
router.use("/shift", shift);
router.use("/schedule", schedule);
router.use("/status", status);
router.use("/unit", unit);
router.use("/user-schedule", UserSchedule)
router.use("/history", historyValue)
router.use("/contact", contact)
router.use("/notification", notification)
router.use("/notification-sparepart", notificationErrorSparepart)

module.exports = router;
